Bug 510157 - "Remote host did not accept data file"
"Remote host did not accept data file"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 512037 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 18:15 EDT by Matt Castelein
Modified: 2009-07-22 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 21:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Job file resuling in error (4.10 MB, application/octet-stream)
2009-07-08 08:33 EDT, Matt Castelein
no flags Details

  None (edit)
Description Matt Castelein 2009-07-07 18:15:40 EDT
Tim, this is the additional bug report you requested for this "Remote host did not accept data file" error message:

E [07/Jul/2009:08:44:05 -0400] [Job 212] Remote host did not accept data file (2)
D [07/Jul/2009:08:44:35 -0400] [Job 212] printer-state-message="Remote host did not accept data file (2)"

Just to reiterate what I've already told you, the printer seems to be behaving as though it cannot accept any more data despite the job size being much smaller than the available memory.

Please leave me your instructions for attaching the data and I will post it to this bug report.
Comment 1 Tim Waugh 2009-07-08 05:14:45 EDT
Thanks.  What you need to do to grab the data file that CUPS receives is:

1. Run this: cupsctl -U root PreserveJobFiles=Yes
2. Send the print job from the client
3. ls -1 /var/spool/cups/d?????-001 | tail -n1

That will show the name of a file in the CUPS spool directory.  Please attach that file to this bug report.  Thanks!
Comment 2 Matt Castelein 2009-07-08 08:33:47 EDT
Created attachment 350923 [details]
Job file resuling in error

That's it?  Simple!  As it happens, I already have PreserveJobFiles turned on..
Comment 3 Tim Waugh 2009-07-10 12:29:10 EDT
Thank you.  Did you say that a few of the pages are printed?  How many?
Comment 4 Matt Castelein 2009-07-10 12:52:48 EDT
No pages were output for this job.  The printer just said "Busy" the whole time.
Comment 5 Tim Waugh 2009-07-16 04:47:26 EDT
*** Bug 512037 has been marked as a duplicate of this bug. ***
Comment 6 Tim Waugh 2009-07-16 05:09:39 EDT
Just adding a note that this is a spin-off from bug #505807.  Device is Lexmark Optra R+.
Comment 7 Patrick C. F. Ernzer 2009-07-16 05:34:19 EDT
FWIW: I just printed attachment 350923 [details] from Comment #2 without any problems with "lp -oraw d00212-001" on a Lexmark C530dn under cups-1.4-0.rc1.7.fc11.x86_64
Comment 8 Tim Waugh 2009-07-16 05:43:18 EDT
Matt, do *any* jobs succeed?  If so, is there anything you can think of that distinguishes the successful jobs from the unsuccessful ones?
Comment 9 Matt Castelein 2009-07-16 08:31:39 EDT
Smaller jobs will print.  I guess I need to buy a C530dn, huh?  Seriously, I'll begin more intensive testing for a possible error with the printer itself.
Comment 10 Matt Castelein 2009-07-21 15:09:47 EDT
I'm going to swap out the memory on my printer and see if that has any effect.  Incidentally I have found some posts by people who seem to have the same issue but I can't locate them.

http://osdir.com/ml/printing.cups.bugs/2004-11/msg00023.html
Comment 11 Matt Castelein 2009-07-22 21:29:56 EDT
Things seem much more even tempered using socket rather than LPR, perhaps I'll just change to that.  There's still issues printing PDF's but I have a suspicion that acrobat reader has something to do with that.  I have not seen this error again after changing to socket on port 9100.  I'm OK with closing it until such time as the error happens again.

Note You need to log in before you can comment on or make changes to this bug.